Skip to content
Permalink
Browse files

Update to Firebase Crashlytics 17.0.0-beta01

  • Loading branch information
ianhanniballake committed Jan 18, 2020
1 parent 3f62e40 commit b54833ffcb36912fdfb42585b4dcd3ef48e09a9c
Showing with 7 additions and 10 deletions.
  1. +1 −1 android-client-common/build.gradle
  2. +2 −5 build.gradle
  3. +2 −2 legacy-standalone/build.gradle
  4. +1 −1 main/build.gradle
  5. +1 −1 wearable/build.gradle
@@ -33,8 +33,8 @@ dependencies {
api "androidx.room:room-ktx:$roomVersion"
kapt "androidx.room:room-compiler:$roomVersion"
api "com.google.firebase:firebase-analytics:$firebaseAnalyticsVersion"
api "com.google.firebase:firebase-crashlytics:$firebaseCrashlyticsVersion"
api "com.google.firebase:firebase-perf:$firebasePerfVersion"
api "com.crashlytics.sdk.android:crashlytics:$crashlyticsVersion"
api "com.google.android.gms:play-services-wearable:$playServicesWearableVersion"
}

@@ -26,11 +26,11 @@ buildscript {
constraintLayoutVersion = '2.0.0-beta4'
coreVersion = '1.2.0-rc01'
coroutinesVersion = '1.3.3'
crashlyticsVersion = '2.10.1'
dokkaVersion = '0.10.0'
drawerLayoutVersion = '1.1.0-alpha03'
exifInterfaceVersion = '1.1.0'
firebaseAnalyticsVersion = '17.2.1'
firebaseCrashlyticsVersion = '17.0.0-beta01'
firebasePerfVersion = '19.0.4'
fragmentVersion = '1.2.0-rc05'
kotlinVersion = '1.3.61'
@@ -55,15 +55,12 @@ buildscript {

repositories {
google()
maven {
url 'https://maven.fabric.io/public'
}
jcenter()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.5.3'
classpath "com.google.gms:google-services:4.3.3"
classpath "io.fabric.tools:gradle:1.31.0"
classpath 'com.google.firebase:firebase-crashlytics-gradle:2.0.0-beta01'
classpath "com.google.firebase:perf-plugin:1.3.1"
classpath "org.jetbrains.dokka:dokka-gradle-plugin:$dokkaVersion"
classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlinVersion"
@@ -17,8 +17,8 @@
apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-kapt'
apply plugin: 'com.google.firebase.crashlytics'
apply plugin: 'com.google.firebase.firebase-perf'
apply plugin: 'io.fabric'

android {
resourcePrefix 'legacy_'
@@ -102,8 +102,8 @@ dependencies {
kapt "androidx.room:room-compiler:$roomVersion"
implementation "com.google.android.material:material:$materialVersion"
implementation "com.google.firebase:firebase-analytics:$firebaseAnalyticsVersion"
api "com.google.firebase:firebase-crashlytics:$firebaseCrashlyticsVersion"
implementation "com.google.firebase:firebase-perf:$firebasePerfVersion"
implementation "com.crashlytics.sdk.android:crashlytics:$crashlyticsVersion"
implementation "com.squareup.okhttp3:okhttp:$okhttpVersion"
implementation project(':muzei-api')
implementation project(':extensions')
@@ -17,8 +17,8 @@
apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-kapt'
apply plugin: 'com.google.firebase.crashlytics'
apply plugin: 'com.google.firebase.firebase-perf'
apply plugin: 'io.fabric'
apply plugin: 'androidx.navigation.safeargs.kotlin'

project.archivesBaseName = "muzei"
@@ -17,8 +17,8 @@
apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-kapt'
apply plugin: 'com.google.firebase.crashlytics'
apply plugin: 'com.google.firebase.firebase-perf'
apply plugin: 'io.fabric'

android {
compileSdkVersion rootProject.ext.compileSdkVersion

0 comments on commit b54833f

Please sign in to comment.
You can’t perform that action at this time.